## ruli-0.19.tar.gz

=== Makefile ===
#
# $Id: Makefile,v 1.2 2004/02/25 06:16:22 evertonm Exp $
#
# This is a Debian-friendly top-level Makefile.
#

.PHONY: default
default:
	$(MAKE) -C src

.PHONY: clean
clean:
	$(MAKE) -C src clean

.PHONY: install
install:
	$(MAKE) -C src install

.PHONY: dpkg
dpkg:
	dpkg-buildpackage -rfakeroot

=== sample/Makefile ===
#
# $Id: Makefile,v 1.5 2003/02/16 07:24:35 evertonm Exp $
#

#
# OOP_INCLUDE_DIR points the location of
# Liboop headers in your system
#
# OOP_LIB_DIR points the location of
# Liboop libraries in your system
#
OOP_BASE_DIR    = /usr/local/oop
OOP_INCLUDE_DIR = $(OOP_BASE_DIR)/include
OOP_LIB_DIR     = $(OOP_BASE_DIR)/lib

#
# INSTALL_BASE_DIR indicates where RULI
# is to be installed in your system
#
INSTALL_BASE_DIR    = ../install/ruli
INSTALL_INCLUDE_DIR = $(INSTALL_BASE_DIR)/include
INSTALL_LIB_DIR     = $(INSTALL_BASE_DIR)/lib
INSTALL_BIN_DIR     = $(INSTALL_BASE_DIR)/bin

#SOLARIS_LDFLAGS = -lresolv -lnsl -R$(OOP_LIB_DIR) -R$(INSTALL_LIB_DIR)

CC      = gcc
CFLAGS  = -O2 -pipe -Wall -g -I$(INSTALL_INCLUDE_DIR) -I$(OOP_INCLUDE_DIR)
LDFLAGS = -L$(INSTALL_LIB_DIR) -L$(OOP_LIB_DIR) -lruli -loop $(SOLARIS_LDFLAGS)

TARGETS = srvsearch sync_srvsearch smtpsearch sync_smtpsearch

.PHONY: default
default: $(TARGETS)

.PHONY: clean
clean:
	rm -f *~ .*~ *.o $(TARGETS)

.PHONY: build
build: clean default

.PHONY: strip
strip: $(TARGETS)
	strip $(TARGETS)

.PHONY: install
install: $(TARGETS)
	[ -d $(INSTALL_BIN_DIR) ] || mkdir -p $(INSTALL_BIN_DIR) || exit
	cp $(TARGETS) $(INSTALL_BIN_DIR)

srvsearch: srvsearch.o stdout_srv_list.o
	$(CC) $(LDFLAGS) -o $@ $^

sync_srvsearch: sync_srvsearch.o stdout_srv_list.o
	$(CC) $(LDFLAGS) -o $@ $^

smtpsearch: smtpsearch.o stdout_srv_list.o
	$(CC) $(LDFLAGS) -o $@ $^

sync_smtpsearch: sync_smtpsearch.o stdout_srv_list.o
	$(CC) $(LDFLAGS) -o $@ $^

=== src/Makefile ===
#
# $Id: Makefile,v 1.31 2004/02/25 17:54:39 evertonm Exp $
#

#DEBUG = -DRULI_RES_DEBUG -DRULI_SRV_DEBUG -DRULI_TXT_COMPARE_DEBUG
#DEBUG = -DRULI_SYNC_DEBUG
#DEBUG = -DRULI_SEARCH_DEBUG
#DEBUG = -DRULI_MSG_DUMP_DEBUG -DRULI_SOCK_DUMP_DEBUG
#DEBUG = -DRULI_SMTP_DEBUG

#
# OOP_INCLUDE_DIR points the location of
# Liboop headers in your system
#
# Debian packaging likes this: OOP_BASE_DIR = /usr/lib
#
OOP_BASE_DIR    = /usr/local/oop
OOP_INCLUDE_DIR = $(OOP_BASE_DIR)/include

#
# INSTALL_BASE_DIR indicates where RULI
# is to be installed in your system
#
# Example: INSTALL_BASE_DIR=/usr/local/ruli
#
# Debian packaging likes this: INSTALL_BASE_DIR = $(DESTDIR)/usr
#
INSTALL_BASE_DIR     = ../install/ruli
INSTALL_INCLUDE_DIR  = $(INSTALL_BASE_DIR)/include
INSTALL_LIB_DIR      = $(INSTALL_BASE_DIR)/lib
INSTALL_MAN_DIR      = $(INSTALL_BASE_DIR)/share/man

WARN = -pedantic -Wshadow -Wpointer-arith -Wcast-qual \
	-Wcast-align -Wwrite-strings -Wstrict-prototypes \
	-Wmissing-prototypes -Wnested-externs -Wredundant-decls \
        -Werror

CC     = gcc
CFLAGS = $(DEBUG) $(WARN) -O2 -pipe -Wall -g -shared -fPIC \
	-I. -I$(OOP_INCLUDE_DIR)
LIBOBJ = ruli_isaac.o ruli_mem.o ruli_rand.o ruli_util.o ruli_list.o ruli_sock.o \
	ruli_txt.o ruli_msg.o ruli_fsm.o ruli_res.o ruli_parse.o \
	ruli_srv.o ruli_conf.o ruli_search.o ruli_smtp.o ruli_sync.o
SONAME = libruli.so.1

.PHONY: default
default: ruli

.PHONY: clean
clean:
	rm -f *~ .*~ *.o *.so *.a *.so.*

.PHONY: build
build: clean default

.PHONY: strip
strip: ruli
	strip $(SONAME) libruli.a

.PHONY: install
install: ruli
	install -d $(INSTALL_LIB_DIR) $(INSTALL_INCLUDE_DIR) $(INSTALL_MAN_DIR)/man3
	install -m 644 $(SONAME) libruli.a $(INSTALL_LIB_DIR)
	install -m 644 *.h $(INSTALL_INCLUDE_DIR)
	install -m 644 ../doc/man/*.3 $(INSTALL_MAN_DIR)/man3
	cd $(INSTALL_LIB_DIR) && ln -s $(SONAME) libruli.so
	@echo
	@echo "REMINDER:"
	@echo "Add $(INSTALL_LIB_DIR) to your dynamic loader path:"
	@echo "# echo $(INSTALL_LIB_DIR) >> /etc/ld.so.conf"
	@echo "# ldconfig"
	@echo

.PHONY: ruli
ruli: $(SONAME) libruli.a

ruli_isaac.o: ruli_isaac.c ruli_isaac.h
	$(CC) $(CFLAGS) -c $<

ruli_mem.o: ruli_mem.c ruli_mem.h
	$(CC) $(CFLAGS) -c $<

ruli_rand.o: ruli_rand.c ruli_rand.h
	$(CC) $(CFLAGS) -c $<

ruli_util.o: ruli_util.c ruli_util.h
	$(CC) $(CFLAGS) -c $<

ruli_list.o: ruli_list.c ruli_list.h
	$(CC) $(CFLAGS) -c $<

ruli_sock.o: ruli_sock.c ruli_sock.h
	$(CC) $(CFLAGS) -c $<

ruli_txt.o: ruli_txt.c ruli_txt.h ruli_limits.h
	$(CC) $(CFLAGS) -c $<

ruli_msg.o: ruli_msg.c ruli_msg.h ruli_limits.h
	$(CC) $(CFLAGS) -c $<

ruli_fsm.o: ruli_fsm.c ruli_fsm.h
	$(CC) $(CFLAGS) -c $<

ruli_res.o: ruli_res.c ruli_res.h
	$(CC) $(CFLAGS) -c $<

ruli_parse.o: ruli_parse.c ruli_parse.h
	$(CC) $(CFLAGS) -c $<

ruli_srv.o: ruli_srv.c ruli_srv.h
	$(CC) $(CFLAGS) -c $<

ruli_conf.o: ruli_conf.c ruli_conf.h
	$(CC) $(CFLAGS) -c $<

ruli_search.o: ruli_search.c ruli_search.h
	$(CC) $(CFLAGS) -c $<

ruli_smtp.o: ruli_smtp.c ruli_smtp.h
	$(CC) $(CFLAGS) -c $<

ruli_sync.o: ruli_sync.c ruli_sync.h
	$(CC) $(CFLAGS) -c $<

libruli.so: $(LIBOBJ)
	$(CC) $(CFLAGS) -Wl,-soname,$(SONAME) -o $@ $(LIBOBJ)

$(SONAME): libruli.so
	cp libruli.so $(SONAME)

#
# Solaris ar
#
#libruli.a: $(LIBOBJ)
#	ar -r -v $@ $(LIBOBJ)

#
# GNU ar
#
libruli.a: $(LIBOBJ)
	ar rcv $@ $(LIBOBJ)
	ar sv $@

=== tools/Makefile ===
#
# $Id: Makefile,v 1.15 2003/02/16 07:24:35 evertonm Exp $
#

#
# OOP_INCLUDE_DIR points the location of
# Liboop headers in your system
#
# OOP_LIB_DIR points the location of
# Liboop libraries in your system
#
OOP_BASE_DIR    = /usr/local/oop
OOP_INCLUDE_DIR = $(OOP_BASE_DIR)/include
OOP_LIB_DIR     = $(OOP_BASE_DIR)/lib

#
# INSTALL_BASE_DIR indicates where RULI
# is to be installed in your system
#
INSTALL_BASE_DIR    = ../install/ruli
INSTALL_INCLUDE_DIR = $(INSTALL_BASE_DIR)/include
INSTALL_LIB_DIR     = $(INSTALL_BASE_DIR)/lib
INSTALL_BIN_DIR     = $(INSTALL_BASE_DIR)/bin

#SOLARIS_LDFLAGS = -lresolv -lnsl -R$(OOP_LIB_DIR) -R$(INSTALL_LIB_DIR)

CC      = gcc
CFLAGS  = -O2 -pipe -Wall -g -I$(INSTALL_INCLUDE_DIR) -I$(OOP_INCLUDE_DIR)
LDFLAGS = -L$(INSTALL_LIB_DIR) -L$(OOP_LIB_DIR) -lruli -loop $(SOLARIS_LDFLAGS)

TARGETS = list resolve hostsolver srvsolver syncsolver addrsolver \
	srvsolver2 addrsolver2 addrsolver3 rand cycle_res cycle_res2

.PHONY: default
default: $(TARGETS)

.PHONY: clean
clean:
	rm -f *~ .*~ *.o $(TARGETS)

.PHONY: build
build: clean default

.PHONY: strip
strip: $(TARGETS)
	strip $(TARGETS)

.PHONY: install
install: $(TARGETS)
	[ -d $(INSTALL_BIN_DIR) ] || mkdir -p $(INSTALL_BIN_DIR) || exit
	cp $(TARGETS) $(INSTALL_BIN_DIR)

resolve: resolve.o trivial_conf_handler.o
	$(CC) $(LDFLAGS) -o $@ $^

hostsolver: hostsolver.o stdin_domains.o trivial_conf_handler.o
	$(CC) $(LDFLAGS) -o $@ $^

srvsolver: srvsolver.o stdin_domains.o stdout_srv_list.o trivial_conf_handler.o
	$(CC) $(LDFLAGS) -o $@ $^

srvsolver2: srvsolver2.o stdout_srv_list.o trivial_conf_handler.o
	$(CC) $(LDFLAGS) -o $@ $^

syncsolver: syncsolver.o stdout_srv_list.o
	$(CC) $(LDFLAGS) -o $@ $^

addrsolver: addrsolver.o trivial_conf_handler.o
	$(CC) $(LDFLAGS) -o $@ $^

addrsolver2: addrsolver2.o trivial_conf_handler.o
	$(CC) $(LDFLAGS) -o $@ $^

addrsolver3: addrsolver3.o trivial_conf_handler.o
	$(CC) $(LDFLAGS) -o $@ $^

cycle_res: cycle_res.o trivial_conf_handler.o
	$(CC) $(LDFLAGS) -o $@ $^

cycle_res2: cycle_res2.o trivial_conf_handler.o
	$(CC) $(LDFLAGS) -o $@ $^

=== debian/changelog ===
ruli (0.18-2) unstable; urgency=low

  * Generating 'orig' source tarball.
  * Added 'Section' to source package under 'debian/control'.
  * Cleaned up an example in the original source.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Thu, 18 Mar 2004 10:09:13 -0300

ruli (0.18-1) unstable; urgency=low

  * New upstream release.
  * Removed unused '${misc:Depends}' from 'debian/control'.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Thu, 18 Mar 2004 10:08:17 -0300

ruli (0.17-2) unstable; urgency=low

  * Removed inocuous comments from 'debian/rules'.
  * Added detection of shared library version to 'debian/rules'.
  * Removed unused files.
  * Added bogus man page.
  * Closes: #234303

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Wed, 25 Feb 2004 00:05:56 -0300

ruli (0.17-1) unstable; urgency=low

  * Initial Release.
  * Adjusted the Makefile to fix $DESTDIR problems.
  * Added top level Makefile.
  * Changed src/Makefile to use 'install -m 644' instead of 'cp'.
  * Changed src/Makefile to issue 'libruli.so.1' instead of 'libruli.so'.
  * Added SONAME to 'libruli.so.1' in src/Makefile.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Sun, 22 Feb 2004 00:12:25 -0300

=== debian/control ===
Source: ruli
Section: libs
Priority: optional
Maintainer: Everton da Silva Marques <evertonsm@yahoo.com.br>
Build-Depends: debhelper (>= 4.0.0), binutils (>= 2.14.90.0.7-3), gcc-3.3 (>= 1), libc6 (>= 2.3.2.ds1-10), libc6-dev (>= 2.3.2.ds1-10), liboop-dev (>= 1.0-1), linux-kernel-headers (>= 2.5.999-test7-bk-9)
Standards-Version: 3.6.0

Package: libruli1-dev
Section: devel
Architecture: any
Depends: libruli1 (= ${Source-Version}), liboop-dev (>= 1.0-1)
Provides: libruli-dev
Conflicts: libruli-dev
Description: Library for easily querying DNS SRV records - development files
 RULI stands for Resolver User Layer Interface. It's a library
 built on top of an asychronous DNS stub resolver. RULI
 provides an easy-to-use interface for querying DNS SRV
 resource records. The goal is to promote the wide deployment
 of SRV-cognizant client programs. RULI aims to fully support
 SRV-related standards.
 .
 This package contains the RULI development libraries and
 header files, required to develop and/or compile
 applications that use RULI.

Package: libruli1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, liboop4 (>= 1.0-1)
Provides: libruli
Description: Library for easily querying DNS SRV records
 RULI stands for Resolver User Layer Interface. It's a library
 built on top of an asychronous DNS stub resolver. RULI
 provides an easy-to-use interface for querying DNS SRV
 resource records. The goal is to promote the wide deployment
 of SRV-cognizant client programs. RULI aims to fully support
 SRV-related standards.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions
version=`ls src/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
	dh_install --sourcedir=debian/tmp
	dh_installman
	dh_fixperms

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Site				Directory	Pattern			Version	Script
version=2
http://savannah.nongnu.org 	/download/ruli	ruli-(.*)\.tar\.gz	debian	uupdate
